Subject: Re: [PATCH v5 4/9] patch-id: make it stable against hunk reordering

From: Junio C Hamano <[email-masked]>
Date: Thu, 24 Apr 2014 12:12:49 -0700

Jonathan Nieder <[email-masked]> writes:

> Should the internal patch-id computation used by commands like 'git
> cherry' (see diff.c::diff_get_patch_id) get the same change?  (Not a
> rhetorical question --- I don't know what the right choice would be
> there.)

I thought about it but I did not think of a reason why.  If we do
not store the patch-id (it would be a misnomer especially after this
series, it is mor like patch signature), and we generate the patch
to be hashed internally without getting affected by any user input
given per-invocation, then nothing is externally observable even if
we used two completely different definition of patch id computation,
and I think these preconditions do hold.